Namespace
library
Image / Tag
consul:1.7.9
Content Digest
sha256:7b954dd6711f97152351d96165ac2befb331f2445f0f70fffa9e3540d61902a5
Details
Created

2020-11-10 00:38:54 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.9

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d6ca64ac6f4b6382142ce9a3501652938130a6ec4bb02f3f455ee1f980834cfe - 6.66% (2.66 MB)

[#001] sha256:d6f7f961bf531deb5ce8efc65c416413aeb8ba0246c803ab33fce867057df76d - 0.0% (1.2 KB)

[#002] sha256:067308e3322d9d6f07a75512e30c8f8bdae23e15560457b3671a48e3b86940b3 - 93.33% (37.3 MB)

[#003] sha256:ed90c091a175fc0a9ed1b51e23ca7e3227c05f99ccf6460237def400256d92b3 - 0.0% (143 Bytes)

[#004] sha256:637dcae92e8bcf912819529f5b70722b43984f43e361b47ff9cbb1e8262aeb0e - 0.0% (154 Bytes)

[#005] sha256:7bf1e63633861c8f3a7d9b33c908ecf0c67a7965efab414ae1569f9510a45694 - 0.0% (1.66 KB)


History
2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) ADD file:46ad43b4984bcf49c5a888ff3628f23161f55cd1fb062f469e707100c97fa254 in /

2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:32:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-10 00:38:45 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.9

2020-11-10 00:38:46 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-10 00:38:46 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-10 00:38:51 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-10 00:38:52 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-10 00:38:53 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-10 00:38:53 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-10 00:38:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-10 00:38:54 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-10 00:38:54 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-10 00:38:54 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-10 00:38:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-10 00:38:54 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-10 00:20:03 UTC

Size

41.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.9

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:188c0c94c7c576fff0792aca7ec73d67a2f7f4cb3a6e53a84559337260b36964 - 6.49% (2.67 MB)

[#001] sha256:2c30a83d82862c73e8fe68dbf7bd156a449aa462e8c9684d9454e26bc7c420af - 0.0% (1.2 KB)

[#002] sha256:eb6f5b0a0c0cc0c39ac944fa27f36515aefa4f60364898612be92aefdfc5f893 - 93.5% (38.4 MB)

[#003] sha256:471876f84ad3000f8ce1ef977d818bcf829f6579fb60def6d0b338d47afa09b2 - 0.0% (143 Bytes)

[#004] sha256:ff5e8019c869e9ba65bdbee66368d9d074435f9c9ef30121d102f12f7af9d459 - 0.0% (154 Bytes)

[#005] sha256:10dd8d1d934b1851da00d69396daf0bf2907e34219f37ddb26a91cad89e86166 - 0.0% (1.67 KB)


History
2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) ADD file:f17f65714f703db9012f00e5ec98d0b2541ff6147c2633f7ab9ba659d0c507f4 in /

2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 03:17:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-10 00:19:54 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.9

2020-11-10 00:19:54 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-10 00:19:55 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-10 00:20:00 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-10 00:20:01 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-10 00:20:02 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-10 00:20:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-10 00:20:02 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-10 00:20:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-10 00:20:03 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-10 00:20:03 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-10 00:20:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-10 00:20:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-10 00:50:59 UTC

Size

37 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.9

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bad30e7b45c14f784ef29a828b5fc69db0ebdefebcde6a7c98f4f77ffc93a546 - 6.71% (2.48 MB)

[#001] sha256:eeaf5206b49f57822c76d1196c30037ec5794766205996725fc16dd7f23a9ce4 - 0.0% (1.23 KB)

[#002] sha256:97f88f8cb22e73c8f79c4ab555433ccb485182c21aaada1b4e6ecdd8ac4ddfeb - 93.29% (34.5 MB)

[#003] sha256:65715849e83e86ef849415dc8127771083c391ebae001f5b7a206e727ca14084 - 0.0% (175 Bytes)

[#004] sha256:1cfe6a69cd7e4d4db731839077c2350f5a408bada1b969ba26027247317dbc6c - 0.0% (154 Bytes)

[#005] sha256:66b2902dd09e8a53cc72c43235ca8184807d3fe57cae3421a11c710d91386b9c - 0.0% (1.67 KB)


History
2020-10-22 02:01:09 UTC

/bin/sh -c #(nop) ADD file:dec4d3b6cf21c59820d1d74a554d0a193b5f4859e00b932f31ffe73f554d5afb in /

2020-10-22 02:01:12 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:17:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-10 00:50:32 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.9

2020-11-10 00:50:34 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-10 00:50:39 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-10 00:50:47 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-10 00:50:51 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-10 00:50:54 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-10 00:50:55 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-10 00:50:55 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-10 00:50:56 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-10 00:50:57 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-10 00:50:57 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-10 00:50:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-10 00:50:59 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-10 00:41:09 UTC

Size

37.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.9

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5f621e34cdf485f410766dc9a0fc7855d17916d0f6583b58cbdce7c28831f527 - 6.94% (2.58 MB)

[#001] sha256:8738962314ae1bee76797d9701d864854fd9506b718b0777cdd3a409dc448b8d - 0.0% (1.23 KB)

[#002] sha256:0951496aa41ad5410b3073e1ebcdb0f85797e6d6cd0669d87215422e95671924 - 93.05% (34.6 MB)

[#003] sha256:23578ed1d93e7bc57564db4d8896aad1913d72cc549b8be8d9fdfd11b5ab5206 - 0.0% (175 Bytes)

[#004] sha256:968b142dbe05e055a57622dc33d128b1cc49332cb48a147dc01c1668bc2eae4b - 0.0% (154 Bytes)

[#005] sha256:8ea9b551827e061d641afbd06c20f166f115f3871a36fb47a1b5264d6b77c5b4 - 0.0% (1.67 KB)


History
2020-10-22 02:01:01 UTC

/bin/sh -c #(nop) ADD file:55c4e9752146061a2b5f76027221329f423687987c0744ef577130c60ff0ba42 in /

2020-10-22 02:01:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:42:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-10 00:40:23 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.9

2020-11-10 00:40:24 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-10 00:40:28 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-10 00:40:37 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-10 00:40:40 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-10 00:40:46 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-10 00:40:49 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-10 00:40:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-10 00:40:58 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-10 00:41:05 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-10 00:41:07 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-10 00:41:09 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-10 00:41:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]